# Method: organizations.locations.frameworkAudits.list

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAudits/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAudits/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAudits/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAudits/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAudits/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAudits/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAudits/list#body.aspect_1)

Lists the framework audits for a given organization, folder, or project.

### HTTP request

`GET https://cloudsecuritycompliance.googleapis.com/v1/{parent=organizations/*/locations/*}/frameworkAudits`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where the framework audits are listed. Supported formats are the following: - `organizations/{organization_id}/locations/{location}` - `folders/{folder_id}/locations/{location}` - `projects/{projectId}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of framework audits to return. The service might return fewer audits than this value. If unspecified, a maximum of 10 framework audits are returned. The maximum value is 50; values above 50 are limited to 50. |
| `pageToken` | `string` Optional. The `nextPageToken` value that's returned from a previous list request, if any. |
| `filter` | `string` Optional. The filters to apply to the framework audits. Supported filters are `complianceFramework`, `complianceState`, `createTime,` and `framework_audit_name`. If the filter is invalid, an invalid argument error is returned. For syntax details, see \[AIP-160\]\[https://google.aip.dev/160\]. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/ListFrameworkAuditsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `cloudsecuritycompliance.frameworkAudits.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).